<?
require_once('include/global.php');
require_once("include/diary_lib.php");
require_once('conf.inc.php');


// check


// set
	$CFG['TITLE'] = '<b>일정관리</b> >> <b>일정추가</b>';

	// [2006-07-19] 공용일정 구분
	set_diary_no_isshare('', $_GET['share']);

	// [2007-02-09] 공용일정을 바로 등록하는 기능은 관리자만 가능.
	if ($G['di_no_isshare'] && $AUTH['auth_m_level'] < $G['LEVEL']['admin'])
	{
		if ($G['DINFO']['d_sharediary_reg'] == 'A')
		{
			msg("공용일정은 관리자만 등록할 수 있도록 설정되었습니다.", 0);
		} else 
		{
			msg("공용일정을 추가하려면 개인일정에서 [공용일정 분류]를 지정하면 됩니다.", 0);
		}	// if()
		movepage('diary_add.php?'.get_qs('share'));		
	}	// if()

// data
	$row = array();
	$row['di_kind'] = $_GET['s_di_kind'];
	if ($_GET['s_di_startdate'])
	{
		$row['di_startdate'] = $_GET['s_di_startdate'];
		$row['di_enddate'] = $_GET['s_di_startdate'];
	}	// if()
	$view = array();
	$view = setform_diary($row);


// skin view
	$CFG['ACTION'] = 'diary_add_ok.php';
	$layout = ($_GET['is_window_close']) ? 'window_open' : 'self';
	nskinset('webmail', 'diary_form.html', $layout);
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>